> ## Documentation Index
> Fetch the complete documentation index at: https://developer.sandbox.co.in/llms.txt
> Use this file to discover all available pages before exploring further.

# Get E-Invoice HSN Summary

> Get E-Invoice HSN summary for a return period for an authenticated taxpayer.

#### Response body schema

<Card title="View response body schema" icon="code" href="https://raw.githubusercontent.com/in-co-sandbox/in-co-sandbox-docs/refs/heads/main/data/gst/schema/request/taxpayer/e-invoice/get_hsn_summary.json" arrow="true" horizontal />

#### Response schema

For successful responses, this reference describes the GSTN payload at `data.data`.

<Card title="View Excel field reference" icon="file-spreadsheet" href="https://raw.githubusercontent.com/in-co-sandbox/in-co-sandbox-docs/refs/heads/main/data/gst/schema/workbook/taxpayer/e-invoice/get_hsn_summary-v1.1.xlsx" arrow="true" horizontal />


## OpenAPI

````yaml api-reference/gst/compliance/openapi.json GET /gst/compliance/tax-payer/e-invoices/hsn/{year}/{month}
openapi: 3.0.1
info:
  title: compliance
  description: >-
    **GST Compliance API** enables businesses to automate compliance
    requirements like [Taxpayer
    verification](https://developer.sandbox.co.in/reference/search-gstin-api),
    [GSTR
    Filing](https://developer.sandbox.co.in/reference/gst-taxpayer-authentication),
    [Generating
    E-Invoices](https://developer.sandbox.co.in/reference/e-invoice-authentication-api),
    and [E-Way
    Bills](https://developer.sandbox.co.in/reference/e-way-bill-authentication-api).We
    provide these APIs from GSTN-authorised GST Suvidha Providers, handling the
    encryption-decryption and signing so you don't have to handle the
    complexities.
  version: 1.0.0
servers:
  - url: https://api.sandbox.co.in
  - url: https://test-api.sandbox.co.in
security: []
tags:
  - name: Public
  - name: Taxpayer
  - name: Taxpayer Auth
  - name: Returns
  - name: GSTR-1 Documents
  - name: File GSTR-1
  - name: GSTR-2A Documents
  - name: GSTR-2B Document
  - name: File GSTR-3B
  - name: GSTR-4
  - name: File GSTR-9
  - name: Invoice Management System
  - name: GSTR-1A Documents
  - name: File GSTR-1A
  - name: Ledgers
  - name: e-Invoice
  - name: Sales e-Invoices for return period
  - name: Purchase e-Invoices for return period
  - name: Front Office Notices
  - name: Front Office
  - name: AATO
  - name: e-Invoice1
  - name: Authentication
  - name: e-Invoice12
  - name: E-Way Bill
  - name: E-Way Bill1
  - name: Authentication1
  - name: Consignor
  - name: Consolidated E-Way Bill
  - name: Multi-Vehicle Movement
  - name: Consignee
  - name: Transporter
  - name: Consolidated E-Way Bill1
  - name: Multi-vehicle Movement
  - name: Common
paths:
  /gst/compliance/tax-payer/e-invoices/hsn/{year}/{month}:
    get:
      tags:
        - Taxpayer
        - e-Invoice
      summary: Get E-Invoice HSN Summary
      description: >-
        Get E-Invoice HSN summary for a return period for an authenticated
        taxpayer.
      operationId: getEInvoiceHsnSummary
      parameters:
        - name: year
          in: path
          description: Return period year.
          required: true
          example: '2026'
          schema:
            type: string
            example: '2024'
        - name: month
          in: path
          description: Return period month.
          required: true
          example: '03'
          schema:
            type: string
            example: '05'
        - name: authorization
          in: header
          description: GST taxpayer access token.
          required: true
          example: '{{gsp_access_token}}'
          schema:
            type: string
        - name: x-api-version
          in: header
          description: API version.
          required: false
          example: ''
          schema:
            type: string
            default: 1.0.0
        - name: x-api-key
          in: header
          description: API key for identification.
          required: true
          example: '{{api_key}}'
          schema:
            type: string
      responses:
        '200':
          description: >-
            200 Success. The GST portal marks this source API as unencrypted,
            but the sandbox response is still wrapped in the standard
            `code/data/timestamp/transaction_id` envelope.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetEInvoiceHsnSummaryResponse'
              examples:
                success:
                  summary: Success
                  value:
                    code: 200
                    data:
                      status_cd: '1'
                      data:
                        gstin: 01AABCE2207R1Z5
                        fp: '052020'
                        hsn:
                          hsn_b2b:
                            - num: 1
                              hsn_sc: '2101'
                              desc: >-
                                MISCELLANEOUS EDIBLE PREPARATIONS~Extracts,
                                essences and concentrates, of coffee, tea or
                                mate and preparations with a basis of these
                                products or with a basis of coffee, tea or mate;
                                roasted chicory and other roasted coffee
                                substitutes, and extracts, essences and
                                concentrates thereof
                              user_desc: Taxpayer Description
                              uqc: BDL
                              qty: 12
                              rt: 0.1
                              txval: 1212
                              iamt: 3342
                              camt: 343
                              samt: 24
                              csamt: 423
                              chksum: fasdflkjwhrkfjshdfua
                          hsn_b2c:
                            - num: 1
                              hsn_sc: '1102'
                              desc: CEREAL FLOURS OTHER THAN THAT OF WHEAT OR MESLIN
                              user_desc: Taxpayer Description
                              uqc: BDL
                              qty: 10
                              rt: 0.1
                              txval: 4312
                              iamt: 242
                              camt: 643
                              samt: 24
                              csamt: 423
                              chksum: bnsfsfskfsifi
                    timestamp: 1763446641000
                    transaction_id: 5fc1acb2-1fd0-49e8-b6f3-19b60e67009d
                record_not_found:
                  summary: Record Not Found
                  value:
                    code: 200
                    timestamp: 1782371440348
                    data:
                      status_cd: '0'
                      error:
                        message: No record found.
                        error_cd: EINV30118
                    transaction_id: a781640f-c537-4e53-b3dc-eb782bbc0482
          headers: {}
      deprecated: false
      security: []
components:
  schemas:
    GetEInvoiceHsnSummaryResponse:
      oneOf:
        - $ref: '#/components/schemas/GetEInvoiceHsnSummarySuccessResponse'
        - $ref: '#/components/schemas/GstnBusinessErrorResponse'
      description: >-
        A GSTN success or GSTN business-failure response. Both variants use HTTP
        200.
    GetEInvoiceHsnSummarySuccessResponse:
      allOf:
        - $ref: '#/components/schemas/TaxpayerResponseMetadata'
        - type: object
          required:
            - data
          properties:
            data:
              type: object
              description: The GSTN success wrapper.
              required:
                - status_cd
                - data
              properties:
                status_cd:
                  type: string
                  enum:
                    - '1'
                  description: GSTN success status.
                  example: '1'
                data:
                  $ref: '#/components/schemas/GetEInvoiceHsnSummarySuccessPayload'
    GstnBusinessErrorResponse:
      type: object
      description: HTTP 200 response containing a GSTN business failure.
      required:
        - code
        - timestamp
        - transaction_id
        - data
      properties:
        code:
          type: integer
          description: The HTTP status code reported in the response body.
          enum:
            - 200
          example: 200
        timestamp:
          type: integer
          format: int64
          description: The response timestamp in Unix epoch milliseconds.
          example: 1763446641000
        transaction_id:
          type: string
          description: The transaction identifier used to trace the request.
          example: 41bb8041-fb83-4654-8d75-85a19f329158
        data:
          type: object
          description: The GSTN business-failure wrapper.
          required:
            - status_cd
            - error
          properties:
            status_cd:
              type: string
              enum:
                - '0'
              description: GSTN business-failure status.
              example: '0'
            error:
              $ref: '#/components/schemas/GstnBusinessError'
    TaxpayerResponseMetadata:
      type: object
      description: Fields included in every taxpayer endpoint response.
      required:
        - code
        - timestamp
        - transaction_id
      properties:
        code:
          type: integer
          description: The HTTP status code reported in the response body.
          enum:
            - 200
          example: 200
        timestamp:
          type: integer
          format: int64
          description: The response timestamp in Unix epoch milliseconds.
          example: 1763446641000
        transaction_id:
          type: string
          description: The transaction identifier used to trace the request.
          example: 41bb8041-fb83-4654-8d75-85a19f329158
    GetEInvoiceHsnSummarySuccessPayload:
      type: object
      description: Successful GSTN payload for Get EInvoice Hsn Summary.
      properties:
        gstin:
          type: string
          description: Supplier GSTIN
          minLength: 15
          maxLength: 15
        fp:
          type: string
          description: Financial Period
          minLength: 6
          maxLength: 6
        hsn:
          type: object
          description: The hsn value returned by GSTN.
          properties:
            hsn_b2b:
              type: array
              description: List of HSN data
              items:
                type: object
                properties:
                  num:
                    type: integer
                    description: Serial no
                  hsn_sc:
                    type: string
                    description: HSN of Goods or Services
                    minLength: 2
                    maxLength: 8
                  desc:
                    type: string
                    description: HSN Description
                    minLength: 1
                  user_desc:
                    type: string
                    description: HSN Description
                    minLength: 1
                  uqc:
                    type: string
                    description: Unit Quantity Code
                    minLength: 1
                  qty:
                    type: number
                    description: Quantity
                  rt:
                    type: number
                    description: Tax Rate
                    minimum: 0
                    maximum: 999.99
                  txval:
                    type: number
                    description: Total Tax Value
                  iamt:
                    type: number
                    description: IGST Amount
                  camt:
                    type: number
                    description: CGST Amount
                  samt:
                    type: number
                    description: SGST Amount
                  csamt:
                    type: number
                    description: CESS Amount
                  chksum:
                    type: string
                    description: Checksum value
                    minLength: 1
                    maxLength: 64
            hsn_b2c:
              type: array
              description: List of HSN data
              items:
                type: object
                properties:
                  num:
                    type: integer
                    description: Serial no
                  hsn_sc:
                    type: string
                    description: HSN of Goods or Services
                    minLength: 2
                    maxLength: 8
                  desc:
                    type: string
                    description: HSN Description
                    minLength: 1
                  user_desc:
                    type: string
                    description: HSN Description
                    minLength: 1
                  uqc:
                    type: string
                    description: Unit Quantity Code
                    minLength: 1
                  qty:
                    type: number
                    description: Quantity
                  rt:
                    type: number
                    description: Tax Rate
                    minimum: 0
                    maximum: 999.99
                  txval:
                    type: number
                    description: Total Tax Value
                  iamt:
                    type: number
                    description: IGST Amount
                  camt:
                    type: number
                    description: CGST Amount
                  samt:
                    type: number
                    description: SGST Amount
                  csamt:
                    type: number
                    description: CESS Amount
                  chksum:
                    type: string
                    description: Checksum value
                    minLength: 1
                    maxLength: 64
    GstnBusinessError:
      type: object
      description: A business error returned by GSTN.
      required:
        - error_cd
        - message
      properties:
        error_cd:
          type: string
          description: The GSTN business error code.
          example: RET11416
        message:
          type: string
          description: A human-readable description of the GSTN business error.
          example: No records found.

````